உள்ளடக்கத்திற்குச் செல்க

Fibo Edit [Structured Instruction]

ஒருங்கிணை

மாடல் id bria/fibo-edit/edit/structured_instruction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $0.01 10 API கிரெடிட்கள் · ≈ ₽1.05 இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Bria AI LLM #structured-prompt-generation#fibo-edit#json

படத்தை உருவாக்காமல், திருத்தக் கோரிக்கையை கட்டமைக்கப்பட்ட JSON விளக்கமாக மாற்றுகிறது

Bria AI · தரவு (JSON)

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

மேம்பட்டவை instruction · image · mask · seed

படத்தைத் திருத்துவதற்கான அறிவுறுத்தல்.

image_url
கோப்பை விடுங்கள் அல்லது

கோப்பு அல்லது URL ஆக வழங்கப்படும் குறிப்புப் படம்.

mask_url
கோப்பை விடுங்கள் அல்லது

குறிப்புப் படத்திற்கான விருப்ப முகமூடி, கோப்பு அல்லது URL ஆக வழங்கப்படும்.

இயல்புநிலை 5555

மீண்டும் உருவாக்கக்கூடிய முடிவுகளுக்கான சீரற்ற தன்மையைக் கட்டுப்படுத்தும் விதை.

POST /run/bria/fibo-edit/edit/structured_instruction?wait=20 விலை → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Fibo Edit [Structured Instruction] பற்றி

படத்திற்கு பதிலாக, திருத்தத்திற்கான கட்டமைக்கப்பட்ட வழிமுறையை மட்டுமே உருவாக்குகிறது. உள்ளீடுகள் விருப்பத்தேர்வு `image_url`, `mask_url`, `instruction` மற்றும் `seed` ஆகும். JSON வெளியீட்டில் பொருட்கள், ஒளியமைப்பு, அழகியல், பின்னணி அமைப்பு, புகைப்படப் பண்புகள் மற்றும் காட்சிப்படுத்த வேண்டிய உரை போன்ற புலங்கள் அடங்கும்.

அளவுருக்கள்

நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
image_urlவிருப்பத்தேர்வு image
வகைurl · image
கோப்பு அல்லது URL ஆக வழங்கப்படும் குறிப்புப் படம்.
mask_urlவிருப்பத்தேர்வு mask
வகைurl · image
குறிப்புப் படத்திற்கான விருப்ப முகமூடி, கோப்பு அல்லது URL ஆக வழங்கப்படும்.
instructionவிருப்பத்தேர்வு
வகைstring | null
படத்தைத் திருத்துவதற்கான அறிவுறுத்தல்.
seedவிருப்பத்தேர்வு
வகைinteger
இயல்புநிலை5555
மீண்டும் உருவாக்கக்கூடிய முடிவுகளுக்கான சீரற்ற தன்மையைக் கட்டுப்படுத்தும் விதை.
தேவை நியமப் பெயர், இதுவும் ஏற்கப்படும்

கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit/edit/structured_instruction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {},
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "preference_score": "string",
      "aesthetic_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string",
    "edit_instruction": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
short_description
string | nullநோக்கமுள்ள வெளியீட்டுப் படத்தின் சுருக்கமான விளக்கம்.
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullஉருவாக்கப்பட்ட படத்தின் உள்ளடக்கத்தைப் பட்டியலாகக் குறிப்பிடவும்; ஒவ்வொரு பொருளின் பண்புகளையும், சித்தரிக்கப்பட்ட பிற பொருட்களுடனான அதன் தொடர்புகளையும் பதிவு செய்யவும்.
background_setting
string | nullஉருவாக்கப்பட்ட படத்திற்கான பின்னணி அமைப்பு.
lighting
object {conditions, direction, shadows} | nullஉருவாக்கப்பட்ட படத்திற்கான lighting.
aesthetics
object {composition, color_scheme, mood_atmosphere, preference_score, aesthetic_score} | nullஉருவாக்கப்பட்ட படத்திற்கான aesthetic பண்புகள்.
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | nullஉருவாக்கப்பட்ட படத்திற்கான photographic பண்புகள்.
style_medium
string | nullஉருவாக்கப்பட்ட படத்திற்கான stylistic medium.
text_render
array of any | nullபடத்தில் சேர்க்க வேண்டிய உரைப் பதிவுகளின் பட்டியல்.
context
string | nullஉருவாக்கப்பட்ட படத்திற்கான context.
artistic_style
string | nullஉருவாக்கப்பட்ட படத்திற்கான artistic style.
edit_instruction
string | nullபடத்தை எவ்வாறு edit செய்வது என்பதை விவரிக்கும் instruction.

மேலும் மாதிரிகள்: LLM

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/bria/fibo-edit/edit/structured_instruction.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt